[Cdd-commits] r1102 - cdd/trunk/webtools
CDD Subversion Commit
noreply at alioth.debian.org
Tue Sep 30 06:08:56 UTC 2008
Author: tille
Date: Tue Sep 30 06:08:55 2008
New Revision: 1102
Added:
cdd/trunk/webtools/ddpo_register (contents, props changed)
Modified:
cdd/trunk/webtools/ddpo_register.py
Log:
Shell script wrapper to actually send the mail with the content created by ddpo_register.py
Added: cdd/trunk/webtools/ddpo_register
==============================================================================
--- (empty file)
+++ cdd/trunk/webtools/ddpo_register Tue Sep 30 06:08:55 2008
@@ -0,0 +1,19 @@
+#!/bin/sh
+# send subscribe mail for all packages that are mentioned in the
+# tasks file of a project in SVN and exists in unstable distribution
+
+if [ "$1" = "" ] ; then
+ echo "Usage: `basename $0` <projectname>"
+ exit -1
+fi
+conffile="webconf/$1.conf"
+if [ ! -s "$conffile" ] ; then
+ echo "Missing or empty config file $conffile"
+ exit -1
+fi
+if ! grep -iq "^PkgList[[:space:]]*:[[:space:]]*[^[:space:]]\+@[^[:space:]]\+\.[^[:space:]]\+$" $conffile ; then
+ echo "Config file $conffile does not contain valid PkgList field."
+ exit -1
+fi
+
+ddpo_register $1 | mailx -s subscribe ddpo at qa.debian.org
Modified: cdd/trunk/webtools/ddpo_register.py
==============================================================================
--- cdd/trunk/webtools/ddpo_register.py (original)
+++ cdd/trunk/webtools/ddpo_register.py Tue Sep 30 06:08:55 2008
@@ -1,4 +1,7 @@
#!/usr/bin/python
+# create set of subscribe statements for ddtp for those packages
+# that are listed in the Dependencies in the tasks files of a project
+# use ddpo_register to finally send the mail
from sys import argv, exit, stderr
More information about the Cdd-commits
mailing list